Package org.springframework.security.access

# Class AccessDeniedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.security.access.AccessDeniedException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AuthorizationDeniedException`, `AuthorizationServiceException`

public class AccessDeniedException extends RuntimeException
Thrown if an `Authentication` object does not hold a required authority.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AccessDeniedException(String msg)`
Constructs an `AccessDeniedException` with the specified message.
`AccessDeniedException(String msg, Throwable cause)`
Constructs an `AccessDeniedException` with the specified message and root cause.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AccessDeniedException

public AccessDeniedException(String msg)
Constructs an `AccessDeniedException` with the specified message.

Parameters:
  `msg` - the detail message

### AccessDeniedException

public AccessDeniedException(String msg, Throwable cause)
Constructs an `AccessDeniedException` with the specified message and root cause.

Parameters:
  `msg` - the detail message
  `cause` - root cause